package com.palmnest.application.dto;

public class WxMessageConfigVo {
	
	 private Integer id;
	    private String businessCode;

	    /**
	     * 微信公众号id/发短信时为项目id
	     */
	    private Integer publicId;

	    /**
	     * 模板名称
	     */
	    private String name;

	    /**
	     * 模板类型 custom-客服消息 template-模板消息
	     */
	    private String type;

	    /**
	     * 业务类型
	     */
	    private String businessType;

	    /**
	     * 业务参数，以英文逗号分隔
	     */
	    private String businessParam;

	    /**
	     * 微信模板id，从公众平台配置获取
	     */
	    private String templateId;

	    /**
	     * 模板内容
	     */
	    //@ColumnType(typeHandler = JacksonTypeHandler.class)
	    private String templateContent;

	    /**
	     * 状态 0-禁用 1-启用
	     */
	    private Integer enabled;

		public Integer getId() {
			return id;
		}

		public void setId(Integer id) {
			this.id = id;
		}

		public String getBusinessCode() {
			return businessCode;
		}

		public void setBusinessCode(String businessCode) {
			this.businessCode = businessCode;
		}

		public Integer getPublicId() {
			return publicId;
		}

		public void setPublicId(Integer publicId) {
			this.publicId = publicId;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		public String getType() {
			return type;
		}

		public void setType(String type) {
			this.type = type;
		}

		public String getBusinessType() {
			return businessType;
		}

		public void setBusinessType(String businessType) {
			this.businessType = businessType;
		}

		public String getBusinessParam() {
			return businessParam;
		}

		public void setBusinessParam(String businessParam) {
			this.businessParam = businessParam;
		}

		public String getTemplateId() {
			return templateId;
		}

		public void setTemplateId(String templateId) {
			this.templateId = templateId;
		}

		public String getTemplateContent() {
			return templateContent;
		}

		public void setTemplateContent(String templateContent) {
			this.templateContent = templateContent;
		}

		public Integer getEnabled() {
			return enabled;
		}

		public void setEnabled(Integer enabled) {
			this.enabled = enabled;
		}
	    
	    

}
